Package com.collibra.dgc.core.api.dto.meta.assettype

# Class ChangeAssetTypeRequest

Object
ChangeAssetTypeRequest

All Implemented Interfaces:
  `Serializable`

public class ChangeAssetTypeRequest extends Object implements Serializable
The properties of the Asset Type to be changed.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `ChangeAssetTypeRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChangeAssetTypeRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ChangeAssetTypeRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getAcronymCode()`
  The acronym code, a code representing the acronym that should be shown.
  `String`
  `getColor()`
  The color of the symbol, in a hex format e.g.
  `String`
  `getDescription()`
  The new description for the Asset Type.
  `Boolean`
  `getDisplayNameEnabled()`
  Whether display name should be enabled for all Assets of changed type.
  `String`
  `getIconCode()`
  The icon code, a code representing the icon that should be shown.
  `UUID`
  `getId()`
  Required. The ID of the Asset Type to be changed.
  `String`
  `getName()`
  The new name for the Asset Type.
  `UUID`
  `getParentId()`
  The ID of the new parent for the Asset Type.
  `String`
  `getPublicId()`
  The new public id for the Asset Type.
  `Boolean`
  `getRatingEnabled()`
  Whether rating should be enabled for all Assets of given type.
  `AssetTypeSymbolType`
  `getSymbolType()`
  The symbol type.
  `List<UUID>`
  `getTraitIds()`
  `int`
  `hashCode()`
  `void`
  `setAcronymCode(String acronymCode)`
  The acronym code, a code representing the acronym that should be shown.
  `void`
  `setColor(String color)`
  The color of the symbol, in a hex format e.g.
  `void`
  `setDescription(String description)`
  The new description for the Asset Type.
  `void`
  `setDisplayNameEnabled(Boolean displayNameEnabled)`
  Whether display name should be enabled for all Assets of changed type.
  `void`
  `setIconCode(String iconCode)`
  The icon code, a code representing the icon that should be shown.
  `void`
  `setId(UUID id)`
  Required. The ID of the Asset Type to be changed.
  `void`
  `setName(String name)`
  The new name for the Asset Type.
  `void`
  `setParentId(UUID parentId)`
  The ID of the new parent for the Asset Type.
  `void`
  `setPublicId(String publicId)`
  The new public id for the Asset Type.
  `void`
  `setRatingEnabled(Boolean ratingEnabled)`
  Whether rating should be enabled for all Assets of given type.
  `void`
  `setSymbolType(AssetTypeSymbolType symbolType)`
  The symbol type.
  `void`
  `setTraitIds(List<UUID> traitIds)`
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChangeAssetTypeRequest

    public ChangeAssetTypeRequest()

- ## Method Details

  - ### builder

    public static ChangeAssetTypeRequest.Builder builder()

  - ### getId

    public UUID getId()
    Required. The ID of the Asset Type to be changed.

  - ### getPublicId

    public String getPublicId()
    The new public id for the Asset Type.

    It must be unique within all Asset Types, Complex Relation Types, Domain Types and Scopes. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C".

    WARNING : The public id should only be changed with extreme caution, since it can break existing customizations. The only valid use case is to change it after creation of the type, if no public id was specified, and the generated proposal is not acceptable.

  - ### getName

    public String getName()
    The new name for the Asset Type.

  - ### getDescription

    public String getDescription()
    The new description for the Asset Type.

  - ### getParentId

    public UUID getParentId()
    The ID of the new parent for the Asset Type.

  - ### getColor

    public String getColor()
    The color of the symbol, in a hex format e.g. '#000000'. This format always includes the '#' and has a size of 7.

  - ### getSymbolType

    public AssetTypeSymbolType getSymbolType()
    The symbol type.

  - ### getIconCode

    public String getIconCode()
    The icon code, a code representing the icon that should be shown.

  - ### getAcronymCode

    public String getAcronymCode()
    The acronym code, a code representing the acronym that should be shown.

  - ### getDisplayNameEnabled

    public Boolean getDisplayNameEnabled()
    Whether display name should be enabled for all Assets of changed type.

  - ### getRatingEnabled

    public Boolean getRatingEnabled()
    Whether rating should be enabled for all Assets of given type.

  - ### getTraitIds

    public List<UUID> getTraitIds()

  - ### setId

    public void setId(UUID id)
    Required. The ID of the Asset Type to be changed.

  - ### setPublicId

    public void setPublicId(String publicId)
    The new public id for the Asset Type.

    It must be unique within all Asset Types, Complex Relation Types, Domain Types and Scopes. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C".

    WARNING : The public id should only be changed with extreme caution, since it can break existing customizations. The only valid use case is to change it after creation of the type, if no public id was specified, and the generated proposal is not acceptable.

  - ### setName

    public void setName(String name)
    The new name for the Asset Type.

  - ### setDescription

    public void setDescription(String description)
    The new description for the Asset Type.

  - ### setParentId

    public void setParentId(UUID parentId)
    The ID of the new parent for the Asset Type.

  - ### setColor

    public void setColor(String color)
    The color of the symbol, in a hex format e.g. '#000000'. This format always includes the '#' and has a size of 7.

  - ### setSymbolType

    public void setSymbolType(AssetTypeSymbolType symbolType)
    The symbol type.

  - ### setIconCode

    public void setIconCode(String iconCode)
    The icon code, a code representing the icon that should be shown.

  - ### setAcronymCode

    public void setAcronymCode(String acronymCode)
    The acronym code, a code representing the acronym that should be shown.

  - ### setDisplayNameEnabled

    public void setDisplayNameEnabled(Boolean displayNameEnabled)
    Whether display name should be enabled for all Assets of changed type.

  - ### setRatingEnabled

    public void setRatingEnabled(Boolean ratingEnabled)
    Whether rating should be enabled for all Assets of given type.

  - ### setTraitIds

    public void setTraitIds(List<UUID> traitIds)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`